For the complete documentation index, see llms.txt. This page is also available as Markdown.

accountOrders

Get account orders by client order indexes. Account index defaults to the authorization token's account. Supports the last 10K active orders (with no time limits), or the last 1K inactive orders (in the last 24 hours).

get
/api/v1/accountOrders
Query parameters
account_indexinteger · int64Optional

Account index to query.

Default: 281474976710655
client_order_indexesstringRequired

comma-separated int64s, e.g. "123,456", with a limit of 20.

Header parameters
authorizationstringRequired

Auth token in the Authorization header.

Responses
200

A successful response.

application/json
codeinteger · int32RequiredExample: 200
messagestringOptional
next_cursorstringOptional
get/api/v1/accountOrders
GET /api/v1/accountOrders?client_order_indexes=text HTTP/1.1
Host: mainnet.zklighter.elliot.ai
authorization: text
Accept: */*
{
  "code": 200,
  "message": "text",
  "next_cursor": "text",
  "orders": [
    {
      "order_index": 1,
      "client_order_index": 234,
      "order_id": "1",
      "client_order_id": "234",
      "market_index": 1,
      "owner_account_index": 1,
      "initial_base_amount": "0.1",
      "price": "3024.66",
      "nonce": 722,
      "remaining_base_amount": "0.1",
      "is_ask": true,
      "base_size": 12354,
      "base_price": 3024,
      "filled_base_amount": "0.1",
      "filled_quote_amount": "0.1",
      "side": "buy",
      "type": "limit",
      "time_in_force": "good-till-time",
      "reduce_only": true,
      "trigger_price": "3024.66",
      "order_expiry": 1640995200,
      "status": "open",
      "trigger_status": "twap",
      "trigger_time": 1640995200,
      "parent_order_index": 1,
      "parent_order_id": "1",
      "to_trigger_order_id_0": "1",
      "to_trigger_order_id_1": "1",
      "to_cancel_order_id_0": "1",
      "block_height": 45434,
      "timestamp": 1640995200,
      "created_at": 1640995200,
      "updated_at": 1640995200,
      "transaction_time": 1,
      "integrator_fee_collector_index": "text",
      "integrator_maker_fee": "text",
      "integrator_taker_fee": "text",
      "order_flags": 1,
      "order_version": 1,
      "market_symbol": "ETH",
      "market_kind": "perps"
    }
  ]
}

Last updated

Was this helpful?